.rd-app-container, .jsx-parser {
  width: 100%;
  height: 100%;
}

.rd-app-left {
  background-color: white;
  width: 60px;
  box-shadow:  5px 1px 8px -4px rgba(0, 0, 0, 0.5);
  padding-top: 10px;
  transition: width 0.5s;
  height: calc(100% - 10px);
}

.rd-app-content {
  background-color: white;
  margin-left: 10px;
  width: calc(100% - 70px);
  padding: 10px;
  transition: width 0.5s;
  overflow: hidden;
}

.rd-button {
  cursor: pointer;
}

.rd-button:hover {
  color: #fff;
  background-color: #1E87F0;
}

.rd-report-settings {
  padding: 0 20px;
}

.rd-menu-block {
  width: 100%;
}

.rd-filter-nav {
  background: rgba(255, 255, 255, 0.95);
}

.rd-filter-nav .uk-grid-small {
  color: black;
  font-size: 14px;
}

.rd-filter-nav .uk-grid-small:hover {
  color: #1E87F0;
}

.rd-filter-item-active {
  background: -moz-linear-gradient(left, rgba(30, 135, 240, 0.5) 0%, rgba(30, 135, 240, 0) 99%, rgba(30, 135, 240, 0) 100%);
  background: -webkit-linear-gradient(left, rgba(30, 135, 240, 0.5) 0%, rgba(30, 135, 240, 0) 99%, rgba(30, 135, 240, 0) 100%);
  background: linear-gradient(to right, rgba(30, 135, 240, 0.5) 0%, rgba(30, 135, 240, 0) 99%, rgba(30, 135, 240, 0) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#801e87f0', endColorstr='#001e87f0', GradientType=1);
}

.rd-filter-item-active .uk-grid-small:hover {
  color: #000;
}

#rd-filter .uk-offcanvas-bar {
  height: calc(100% - 110px);
  top: 110px;
  box-shadow: -2px 9px 10px rgba(0, 0, 0, 0.5);
  background: rgba(255, 255, 255, 0.95);
}

#rd-filter #rd-filter-button {
  background: #fff;
  border: 1px solid rgba(0, 0, 0, 0.3);
  margin-top: 30px;
  width: 100%;
  text-transform: uppercase;
}

#rd-filter #rd-filter-button:hover {
  background: #1E87F0;
  border: 1px solid #1E87F0 !important;
  color: #fff;
}

#rd-param-label {
  position: absolute;
  left: 20px;
  font-size: 20px;
  display: none;
}

.rd-table-container {
  box-shadow: 0px 20px 15px -15px rgba(0, 0, 0, 0.3);
}

.rd-table-container table td {
  border: 1px solid #666;
}

.rd-table-container>table>thead>tr>th {
  color: #fff;
  background: #2389f0;
  position: sticky;
  top: 0px;
  border-right: 1px solid #666;
}

.rd-button-container {
  width: 100%;
  height: 50px;
  margin-bottom: 10px;
  padding: 10px;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.3);
  display: none;
}

#rd-table-params td {
  padding: 10px 2px;
  vertical-align: middle;
}

#rd-table-params a.uk-form-icon:hover {
  color: #1e87f0;
}

.rd-table-columns td {
  padding: 5px;
}

.rd-table-columns thead th {
  position: sticky;
  top: -10px;
  background: #fff;
}

input.uk-input[disabled] {
  color: #1e87f0;
  background: #fff;
  cursor: text;
}

input#rd-template-name[disabled] {
  background-color: #f8f8f8;
  color: #999;
  cursor: default;
}

.template-modal {
  padding: 20px;
}

.template-report-table {
  border: 1px solid #e5e5e5;
}

.template-report-table .selected,
.template-report-table .selected:hover {
  background: #1e87f0 !important;
  color: #fff;
}

.rd-template-block {
  display: flex;
  justify-content: space-between;
}

#rd-button-select-report-template,
#rd-button-select-col {
  width: 100%;
  padding: 0;
  overflow: hidden;
}

#rd-button-save-report-template,
#rd-button-delete-report-template,
#rd-button-refresh-report-template {
  margin: 0;
  padding: 0 10px;
  border: none;
}

#rd-button-save-report-template:disabled,
#rd-button-delete-report-template:disabled,
#rd-button-refresh-report-template:disabled {
  background: #f8f8f8;
}

#rd-button-save-report-template:not(:disabled):hover {
  color: #11ad11;
}

#rd-button-refresh-report-template:not(:disabled):hover {
  color: #2389f0;
}

#rd-button-delete-report-template:not(:disabled):hover,
#rd-table-params a[uk-icon="trash"]:hover,
.uk-modal-close-default:hover {
  color: red !important;
}

input.empty {
  border-color: red;
  background: rgba(255, 0, 0, 0.05);
}

.rd-app-left select.uk-select:not([multiple]) {
  background: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNyIgaGVpZ2h0PSI0IiB2aWV3Qm94PSIwIDAgNyA0IiBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8cGF0aCBmaWxsLXJ1bGU9ImV2ZW5vZGQiIGNsaXAtcnVsZT0iZXZlbm9kZCIgZD0iTTAuMzc1IDAuODc1TDMuNSA0TDYuNjI1IDAuODc1SDAuMzc1WiIgZmlsbD0iIzIxOTZGMyIvPgo8L3N2Zz4K") no-repeat 98%/100% !important;
  background-size: 12px 12px !important;
  color: #222 !important;
  cursor: pointer;
  padding: 0 35px 0 10px !important;
}

.custom-select {
  position: relative;
  min-width: 100px;
  width: auto;
  height: 40px;
  background: #fff;
  border: 1px solid #ccc;
  cursor: pointer;
}

.custom-select:hover {
  border-color: #91c2f6;
}

.select-selected {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  margin-right: 35px;
  width: calc(100% - 40px);
  height: 40px;
}

.select-selected:after {
  position: absolute;
  content: "";
  top: 16px;
  right: 10px;
  width: 0;
  height: 0;
  border: 5px solid transparent;
  border-color: #1E87F0 transparent transparent transparent;
}

.select-selected.select-arrow-active:after {
  border-color: transparent transparent #1E87F0 transparent;
  top: 10px;
}

.select-items div,
.select-selected {
  color: #222;
  padding: 8px 16px;
  transition: 0.3s ease-out 0s;
}

.select-items div {
  cursor: pointer;
  border-bottom: 1px solid #e5e5e5;
}

.select-items {
  position: absolute;
  background-color: #fff;
  top: calc(100% + 1px);
  left: 0;
  right: 0;
  z-index: 99;
  max-height: 300px;
  overflow-x: hidden;
  overflow-y: auto;
  border: 1px solid #e5e5e5;
  box-shadow: 0 5px 5px rgba(0, 0, 0, 0.1);
  transition: 0.3s ease-out 0s;
}

.select-hide {
  display: none;
}

.select-items div:hover,
.same-as-selected {
  color: #fff;
  background-color: #91c2f6;
}

.select-search-input {
  position: absolute;
  left: -1px;
  top: -1px;
  width: calc(100% - 55px);
  height: 38px;
  padding: 0 10px;
  z-index: 100;
  background: #fff;
  color: #222;
  border: 1px solid #e5e5e5;
  outline: none;
  transition: 0.3s ease-out 0s;
}

.select-search-input:focus,
.select-search-input:hover {
  border: 1px solid #1E87F0;
  border-radius: 0;
}

.rd-param-empty {
  border: 1px solid red !important;
  background: rgba(255, 0, 0, 0.1);
}

@media screen and (max-width: 768px) {
  #rd-filter .uk-offcanvas-bar {
    height: calc(100% - 70px);
    top: 70px;
  }
  input[type="date"].uk-grid-margin {
    width: 160px;
    margin-top: 0 !important;
  }
  input[type="text"].uk-grid-margin {
    margin: auto !important;
    max-width: 120px !important;
  }
  select.uk-select.uk-width-auto.uk-first-column,
  .uk-width-expand {
    min-width: auto !important;
    max-width: 120px !important;
    margin-right: 0 !important;
  }
}

@media screen and (max-width: 690px) {
  #rd-param-label {
    font-size: 14px;
  }
  .uk-width-3-4\@s.uk-first-column {
      width: 70% !important;
  }
  .uk-width-1-5\@s.uk-inline {
      width: 30% !important;
  }
  .rd-report-settings {
    padding: 0 10px;
  }
  .rd-app-left {
    padding: 0;
  }
  #rd-button-select-report-template, #rd-button-select-col {
     margin: 0;
     padding: 0;
   }
}

@media screen and (max-width: 465px) {
  #rd-filter-name,
  #rd-param-label {
    display: none !important;
  }
}
